brlapi-0.6.0-16.el7.i686.rpm


Advertisement

Description

brlapi - Application Programming Interface for BRLTTY

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name brlapi
Package version 0.6.0
Package release 16.el7
Package architecture i686
Package type rpm
Installed size 358.69 KB
Download size 114.42 KB
Official Mirror mirror.centos.org
This package provides the run-time support for the Application
Programming Interface to BRLTTY.
Install this package if you have an application which directly accesses
a refreshable braille display.

Alternatives

Package Version Architecture Repository
brlapi-0.6.0-16.el7.x86_64.rpm 0.6.0 x86_64 CentOS
brlapi - - -

Requires

Name Value
/sbin/ldconfig -
brltty = 4.5-16.el7
libX11.so.6 -
libXext.so.6 -
libXtst.so.6 -
libc.so.6(GLIBC_2.17) -
libdl.so.2 -
libdl.so.2(GLIBC_2.0) -
libdl.so.2(GLIBC_2.1) -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.3.1) -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
rtld(GNU_HASH) -

Provides

Name Value
brlapi = 0.6.0-16.el7
brlapi(x86-32) = 0.6.0-16.el7
libbrlapi.so.0.6 -
libbrlttybba.so -

Download

Type URL
Binary Package brlapi-0.6.0-16.el7.i686.rpm
Source Package brltty-4.5-16.el7.src.rpm

Install Howto

Install the brlapi rpm package:

# yum install brlapi

Files

Path
/usr/bin/vstp
/usr/bin/xbrlapi
/usr/lib/libbrlapi.so.0.6
/usr/lib/libbrlapi.so.0.6.0
/usr/lib/brltty/libbrlttybba.so
/usr/share/doc/brlapi-0.6.0/README
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI-1.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI-2.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI-3.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI-4.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI-5.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI-6.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI-7.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI.html
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI.sgml
/usr/share/doc/brlapi-0.6.0/Manual-BrlAPI/English/BrlAPI.txt
/usr/share/man/man1/vstp.1.gz
/usr/share/man/man1/xbrlapi.1.gz

Changelog

2017-10-10 - Jaroslav Škarvada <jskarvad@redhat.com> - 4.5-16
- Rebuilt with ocaml-4.05.0
Resolves: rhbz#1434818
2017-04-20 - Jaroslav Škarvada <jskarvad@redhat.com> - 4.5-15
- Fixed build in case ocaml is preinstalled in the build root and
support shouldn't be built
Resolves: rhbz#1443907
2017-03-21 - Jaroslav Škarvada <jskarvad@redhat.com> - 4.5-14
- Rebuilt for new architectures
Resolves: rhbz#1379884
- Added fix to support compilation with ocaml-4.04.0
Resolves: rhbz#1393750
2016-05-06 - Jaroslav Škarvada <jskarvad@redhat.com> - 4.5-13
- Made brltty-config executable, currently useless, but FHS compliant
Resolves: rhbz#1332981
- Fixed multilib
Related: rhbz#1324850
2016-04-11 - Jaroslav Škarvada <jskarvad@redhat.com> - 4.5-12
- Improved fix for Braille characters not displaying in the XW driver window
Related: rhbz#1324669
2016-04-07 - Jaroslav Škarvada <jskarvad@redhat.com> - 4.5-11
- Fixed Braille characters not displaying in the XW driver window
Resolves: rhbz#1324669
- Added AT-SPI2 driver
Resolves: rhbz#1324672
- Fixed requirements
Resolves: rhbz#1324850
2016-04-05 - Jaroslav Škarvada <jskarvad@redhat.com> - 4.5-10
- Hardened build
Resolves: rhbz#1092547
- Fixed Braille display emulator to start
Resolves: rhbz#1304725
2014-10-24 - Richard W.M. Jones <rjones@redhat.com> - 4.5-9
- Rebuild for OCaml 4.01.0
resolves: rhbz#1155561
2014-01-24 - Daniel Mach <dmach@redhat.com> - 4.5-8
- Mass rebuild 2014-01-24
2013-12-27 - Daniel Mach <dmach@redhat.com> - 4.5-7
- Mass rebuild 2013-12-27

See Also

Package Description
brlapi-devel-0.6.0-16.el7.i686.rpm Headers, static archive, and documentation for BrlAPI
brlapi-devel-0.6.0-16.el7.x86_64.rpm Headers, static archive, and documentation for BrlAPI
brlapi-java-0.6.0-16.el7.x86_64.rpm Java binding for BrlAPI
brltty-4.5-16.el7.x86_64.rpm Braille display driver for Linux/Unix
brltty-at-spi-4.5-16.el7.x86_64.rpm AtSpi driver for BRLTTY
brltty-at-spi2-4.5-16.el7.x86_64.rpm AtSpi2 driver for BRLTTY
brltty-docs-4.5-16.el7.noarch.rpm Documentation for BRLTTY
brltty-xw-4.5-16.el7.x86_64.rpm XWindow driver for BRLTTY
bsdcpio-3.1.2-10.el7_2.x86_64.rpm Copy files to and from archives
bsdtar-3.1.2-10.el7_2.x86_64.rpm Manipulate tape archives
bsf-2.4.0-19.el7.noarch.rpm Bean Scripting Framework
bsf-javadoc-2.4.0-19.el7.noarch.rpm Javadoc for bsf
bsh-1.3.0-29.el7.noarch.rpm Lightweight Scripting for Java
bsh-demo-1.3.0-29.el7.noarch.rpm Demo for bsh
bsh-javadoc-1.3.0-29.el7.noarch.rpm API documentation for bsh
Advertisement
Advertisement